
attribute vec4 position;
attribute vec4 inputTextureCoordinate;

uniform vec2 inputTextureSize;

varying vec2 textureCoordinate;
varying vec2 textureCoordinateUpscale;
varying vec2 textureScale;

void main() {
    gl_Position = position;
    textureScale = 1.0 / inputTextureSize;
    textureCoordinate = inputTextureCoordinate.xy;
    textureCoordinateUpscale = inputTextureCoordinate.xy * inputTextureSize;
}