#ifdef OPENGL_ES
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#endif

varying highp vec2 v_texCoord;
uniform sampler2D u_texture;

void main()
{

   highp vec4 color = texture2D(u_texture, v_texCoord);
   if(color.g > (color.r + color.b) * 3.0) color = vec4(0,0,0,0);

   gl_FragColor = color;
}