#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif

varying vec2 v_texCoord;

uniform mat4 matrix;
uniform sampler2D u_texture;
uniform sampler2D u_texture2;

void main()
{
     vec4 color1 = texture2D(u_texture, v_texCoord);
     vec4 color2 = texture2D(u_texture2, (matrix * vec4(v_texCoord.xy, 0.0, 1.0)).xy);
     gl_FragColor = vec4( color1.rgb * (1.0 - color2.a) + color2.rgb * color2.a ,1.0);
}