#ifdef OPENGL_ES
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#endif



uniform sampler2D u_texture;
uniform sampler2D u_maskTexture;

varying vec2 v_texCoord;
varying vec2 v_maskTexCoord;
                       
void main() {
   
   
   vec4 textureColor = texture2D(u_texture, v_texCoord);
   vec4 maskColor = texture2D(u_maskTexture, v_maskTexCoord);

    vec4 result = vec4(textureColor.rgb * maskColor.a, textureColor.a * maskColor.a);
    gl_FragColor = result;
   
}