#ifdef OPENGL_ES
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#endif

///////////////////////////////////////////////////////////
// Uniforms
uniform sampler2D u_texture;

///////////////////////////////////////////////////////////
// Varyings
varying vec2 v_texCoord;


void main()
{
    vec4 color = texture2D(u_texture, v_texCoord);
    gl_FragColor = vec4(color.rgb * color.a, color.a);
    
    //if(v_texCoord.x > 0.5) gl_FragColor = vec4(1.0, 0, 0, 1.0);

}
