///////////////////////////////////////////////////////////
// Attributes
attribute vec4 a_position;
attribute vec2 a_texCoord;


///////////////////////////////////////////////////////////
// Varyings
varying vec2 v_texCoord;


uniform float time;
uniform float strength;
void main()
{
    
    gl_Position = a_position;
    
    
    v_texCoord = a_texCoord;
    
    gl_Position.x += cos(time * 10.0) * strength;
    gl_Position.y += cos(time * 15.0) * strength;
    
}