#ifdef OPENGL_ES
#ifdef GL_FRAGMENT_PRECISION_HIGH
precision highp float;
#else
precision mediump float;
#endif
#endif

///////////////////////////////////////////////////////////
// Uniforms
uniform sampler2D u_texture;
uniform sampler2D u_water_texture;
uniform float     u_time;
uniform float     u_speed;

///////////////////////////////////////////////////////////
// Varyings
varying vec2 v_texCoord;


void main()
{

    vec2 growingUv = sin((v_texCoord + u_time * (u_speed / 100.0)) * 3.0);
    vec2 v_texCoord2 = texture2D(u_water_texture, growingUv).rr;

    gl_FragColor = vec4(( texture2D(u_texture, v_texCoord * 0.95 + v_texCoord2 * 0.05).rgb ), 1.0);
    
    

}


